%global dnf_min_compatible 2.0.0
%global dnf_not_compatible 3.0

Summary: DNF plugin for Spacewalk
Name: dnf-plugin-spacewalk
Version: 2.7.7
Release: %mkrel 1
License: GPLv2
Group: System/Packaging
URL:     https://github.com/spacewalkproject/spacewalk

# Use tito to generate tarball from git repo
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
Requires:  python3-dnf >= %{dnf_min_compatible}
Conflicts: python3-dnf >= %{dnf_not_compatible}
Requires: dnf
Requires: dnf-plugins-core
Requires: python3-librepo >= 1.7.15
Requires: rhn-client-tools >= 2.5.5

%description
This DNF plugin provides access to a Spacewalk server for software updates.

%prep
%setup -q

%build
# Nothing to build

%install
install -d %{buildroot}%{_sysconfdir}/dnf/plugins/
install -d %{buildroot}/usr/share/rhn/actions
install -d %{buildroot}/var/lib/up2date
install -d %{buildroot}%{_mandir}/man{5,8}
install -d %{buildroot}%{python3_sitelib}/dnf-plugins/
install -m 644 spacewalk.py %{buildroot}%{python3_sitelib}/dnf-plugins/
install -m 644 actions/packages.py %{buildroot}/usr/share/rhn/actions/
install -m 644 actions/errata.py %{buildroot}/usr/share/rhn/actions/
install -m 644 spacewalk.conf %{buildroot}%{_sysconfdir}/dnf/plugins/
install -m 644 man/spacewalk.conf.5 %{buildroot}%{_mandir}/man5/
install -m 644 man/dnf.plugin.spacewalk.8 %{buildroot}%{_mandir}/man8/

%files
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/dnf/plugins/spacewalk.conf
%license LICENSE
%dir /var/lib/up2date
%{_mandir}/man*/*
%{python3_sitelib}/dnf-plugins/*
%{_datadir}/rhn/actions/*



%changelog
* Mon Jun 05 2017 ngompa <ngompa> 2.7.7-1.mga6
+ Revision: 1106806
- Port to Mageia
- Upgrade to 2.7.7
- imported package dnf-plugin-spacewalk

